library(arules)
data("AdultUCI")
dati_adult=data.frame(AdultUCI)
names(dati_adult)
features=names(dati_adult)[c(1,2,4,6,7,8,9,10,11,12,13,14,15)]
for(feature in c(1,11,12,13)){
  dati_adult[,feature]=discretize(dati_adult[,feature],method="frequency",categories=5)
  print(levels(dati_adult[,feature]))
}

dati_complete=dati_adult[,features] 
dati_complete=na.omit(dati_complete)

dati=dati_complete
N=dim(dati)[1]
p=dim(dati)[2]
class="income"
features_evidence=names(dati)[-length(names(dati))]
variables=c(class, features_evidence)

for(feat in features_evidence){
  levels(dati[,feat])=unlist(lapply(strsplit(levels(dati[,feat]),split="[-]"), paste, collapse=""))
}
