library(arules)

dati_letter=read.csv("dataset/letter-recognition.csv",sep=",",header=TRUE,row.names=NULL)

names(dati_letter)
features=names(dati_letter)[1:dim(dati_letter)[2]]

dati_complete=dati_letter[,features] 
dati_complete=na.omit(dati_complete)

dati=dati_complete
N=dim(dati)[1]
p=dim(dati)[2]
class="lettr"
features_evidence=names(dati)[-1]
variables=c(class, features_evidence)


for(feature in 2:p){
  dati[,feature]=discretize(dati[,feature],method="frequency",categories=5)
}
