library(rrr)
library(bnlearn)
library(arules)

data("pendigits")
dati_pendigits=data.frame(pendigits)

features=names(dati_pendigits)[1:17]

dati_complete=dati_pendigits[,features] 
dati_complete=na.omit(dati_complete)

dati=dati_complete
N=dim(dati)[1]
p=dim(dati)[2]
names(dati)[17]="class"
class="class"
features_evidence=names(dati)[-length(names(dati))]
variables=c(class, features_evidence)

for(feature in 1:(p-1)){
  dati[,feature]=discretize(dati[,feature],method="frequency",categories=5)
}
dati[,p]=as.factor(dati[,p])

levels(dati[,p])=paste0("D", levels(dati[,p]))
